gr::gfdm::advanced_receiver_sb_cc Class Referenceabstract

advanced receiver working as sync block More...

`#include <advanced_receiver_sb_cc.h>`

Inheritance diagram for gr::gfdm::advanced_receiver_sb_cc:
[legend]

## Public Types

typedef boost::shared_ptr< advanced_receiver_sb_cc > | sptr

## Public Member Functions

virtual void | set_phase_compensation (int do_phase_compensation)=0
virtual int | get_phase_compensation ()=0
virtual void | set_ic (int ic_iter)=0
virtual int | get_ic (void)=0

## Static Public Member Functions

static sptr | make (int n_timeslots, int n_subcarriers, int overlap, int ic_iter, std::vector< gr_complex > frequency_taps, gr::digital::constellation_sptr constellation, std::vector< int > subcarrier_map, int do_phase_compensation)
| Return a shared_ptr to a new instance of gfdm::advanced_receiver_sb_cc.

## Detailed Description

advanced receiver working as sync block

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<advanced_receiver_sb_cc> gr::gfdm::advanced_receiver_sb_cc::sptr

## Member Function Documentation

## get_ic()

virtual int gr::gfdm::advanced_receiver_sb_cc::get_ic | ( | void |  | ) |

pure virtual

Implemented in gr::gfdm::advanced_receiver_sb_cc_impl.

## get_phase_compensation()

virtual int gr::gfdm::advanced_receiver_sb_cc::get_phase_compensation | ( |  | ) |

pure virtual

Implemented in gr::gfdm::advanced_receiver_sb_cc_impl.

## make()

static sptr gr::gfdm::advanced_receiver_sb_cc::make | ( | int | n_timeslots,
|  | int | n_subcarriers,
|  | int | overlap,
|  | int | ic_iter,
|  | std::vector< gr_complex > | frequency_taps,
|  | gr::digital::constellation_sptr | constellation,
|  | std::vector< int > | subcarrier_map,
|  | int | do_phase_compensation
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::advanced_receiver_sb_cc.

To avoid accidental use of raw pointers, gfdm::advanced_receiver_sb_cc's constructor is in a private implementation class. gfdm::advanced_receiver_sb_cc::make is the public interface for creating new instances.

## set_ic()

virtual void gr::gfdm::advanced_receiver_sb_cc::set_ic | ( | int | ic_iter | ) |

pure virtual

Implemented in gr::gfdm::advanced_receiver_sb_cc_impl.

## set_phase_compensation()

virtual void gr::gfdm::advanced_receiver_sb_cc::set_phase_compensation | ( | int | do_phase_compensation | ) |

pure virtual

Implemented in gr::gfdm::advanced_receiver_sb_cc_impl.

The documentation for this class was generated from the following file:

- advanced_receiver_sb_cc.h